CFLAGS = -O2 -fomit-frame-pointer
OUTFILE = mbasic.exe
OBJS = error.o load_program.o write_program.o label.o parser.o main.o \
	variable.o function.o assembler.o loop.o strings.o if_parse.o \
	include.o array.o

$(OUTFILE): $(OBJS)
	gcc $(OBJS) -s -o $(OUTFILE)

.c.o:
	gcc -c $*.c -o $*.o $(CFLAGS)
